Name: 		openrct2
Version: 	0.2.4
Release: 	1%{?dist}
Summary: 	Open source reimplementation of Roller Coaster Tycoon 2

License: 	GPLv3
URL: 		https://www.openrct2.io
Source0:	https://github.com/OpenRCT2/OpenRCT2/archive/v%{version}.tar.gz 

BuildRequires:	gcc gcc-c++ jansson-devel pkgconfig openssl-devel SDL2-devel speexdsp-devel libcurl-devel cmake libicu-devel fontconfig-devel freetype-devel libpng-devel libzip-devel mesa-libGL-devel

%description
OpenRCT2 is a free open source remake of the famous RollerCoaster Tycoon 2 game.

%prep
%setup -q -n OpenRCT2-%{version}

%build
mkdir build
cd build
%cmake -DCMAKE_BUILD_TYPE=RelWithDebInfo -DCMAKE_INSTALL_PREFIX=/usr  ..
make
make g2
ln -s ../data data
%install
cd build
%make_install

%files
%{_bindir}/*
%{_libdir}/*

%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*

%dir %{_docdir}/%{name}
%{_docdir}/%{name}/*

%{_datadir}/metainfo/*

%{_datadir}/icons/hicolor/16x16/apps/openrct2.png
%{_datadir}/icons/hicolor/24x24/apps/openrct2.png
%{_datadir}/icons/hicolor/32x32/apps/openrct2.png
%{_datadir}/icons/hicolor/48x48/apps/openrct2.png
%{_datadir}/icons/hicolor/64x64/apps/openrct2.png
%{_datadir}/icons/hicolor/96x96/apps/openrct2.png
%{_datadir}/icons/hicolor/128x128/apps/openrct2.png
%{_datadir}/icons/hicolor/256x256/apps/openrct2.png
%{_datadir}/icons/hicolor/scalable/apps/openrct2.svg

%{_datadir}/applications/*.desktop
%{_datadir}/mime/packages/*.xml

%{_datadir}/man/man6/*

%changelog
* Sat Feb 09 2020 Emily <nauticalnexus@fedoraproject.org> 0.2.4-1
- I'm so sorry I'm back
- Updated to the latest version, add support for Fedora 31
- Drop i386 support and Fedora 29 support as Fedora 29 isn't supported anymore
* Wed Jul 24 2019 Emily <absynthesyne@gmail.com> 0.2.3-1
- new release!
- added support for more architectures I think
- have fun!
* Tue May 7 2019 Emily <absynthesyne@gmail.com> 0.2.2-2
- Add support for Fedora 30.
* Wed Mar 13 2019 Emily <absynthesyne@gmail.com> 0.2.2-1
- New release
* Tue Dec 04 2018 Emily <absynthesyne@gmail.com> 0.2.1-2
- Added support for Fedora 29.
* Mon Aug 27 2018 Emily <absynthesyne@gmail.com> 0.2.1-1
- New release. Missed a lot. Took a break from Linux for a while.
* Wed Apr 25 2018 Emily <absynthesyne@gmail.com> 0.1.2-3
- Fix some things in the spec file.
* Tue Apr 24 2018 Emily <absynthesyne@gmail.com> 0.1.2-2
- Change some cmake flags to optimise the game better
* Mon Apr 23 2018 Emily <absynthesyne@gmail.com> 0.1.2-1
- Initial RPM release
